Bug 465811 - Can't unmount a samba share (cifs)
Can't unmount a samba share (cifs)
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Layton
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-06 11:03 EDT by Simon Andrews
Modified: 2014-06-18 03:38 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-20 12:11:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Simon Andrews 2008-10-06 11:03:07 EDT
Description of problem:

When connecting to one of our netapp filer shares using cifs I can mount successfully and transfer data, but can't get the share to unmount.


Version-Release number of selected component (if applicable):
samba-3.2.3-0.20.fc9.x86_64

How reproducible:
Always


Steps to Reproduce:
1.mount -t cifs -o user=me //server/share /mnt/share
2.sudo umount /mnt/share
  
Actual results:

The mount succeeds.

The initial attempt an unmounting appears to hang indefinitely.  Killing this with control+C get a prompt back.

Trying to do the umount again gets me:
$ sudo umount /mnt/share
This utility only unmounts cifs filesystems.
This utility only unmounts cifs filesystems.

[The message really is repeated twice]

Desipte umounts claim, mount says:

$ mount
//server/share on /mnt/share type cifs (rw,mand)


Possibly related is that I can't access this share from the network browser in gnome.  Going through the browser shows me no shares when I select the server.

Trying to use the 'connect to server' option in gnome and using the samba share option gets me the error:

Can't display location "smb:////server/share" File doesn't exist.


Additional info:

This used to work on this machine when F9 first came out.  I haven't used it for a while so I can't be sure when it broke.
Comment 1 Simon Andrews 2008-10-07 07:05:50 EDT
I found the following in /var/log/messages which are probably much more informative about the underlying cause of this error;

Oct  6 14:18:25 bilin1 kernel: Status code returned 0xc000006d NT_STATUS_LOGON_FAILURE
Oct  6 14:18:25 bilin1 kernel: CIFS VFS: Send error in SessSetup = -13
Oct  6 14:18:25 bilin1 kernel: CIFS VFS: cifs_mount failed w/return code = -13
Oct  6 14:18:30 bilin1 kernel: Status code returned 0xc000006d NT_STATUS_LOGON_FAILURE
Oct  6 14:18:30 bilin1 kernel: CIFS VFS: Send error in SessSetup = -13
Oct  6 14:18:30 bilin1 kernel: CIFS VFS: cifs_mount failed w/return code = -13
Oct  6 14:21:13 bilin1 kernel: CIFS VFS: RFC1001 size 35 bigger than SMB for Mid=5819
Oct  6 14:21:40 bilin1 kernel: CIFS VFS: server not responding
Oct  6 14:21:40 bilin1 kernel: CIFS VFS: No response to cmd 116 mid 5819
Comment 2 Simo Sorce 2008-10-07 07:10:33 EDT
This seem a cifs.ko kernel module issue, reassigning.
Comment 3 Jeff Layton 2008-10-20 12:11:35 EDT
I'm fairly certain this is actually an ontap bug. Someone opened a case for the same problem a while back and I closed it, but I can't seem to find it at the moment.

Some versions of OnTap send malformed SMBLogoff replies. The umount will eventually work, but it can take a few minutes before the call times out. Aside from the long timeout on umounts, the bug is fairly harmless.

There's not much we can do about this other than to suggest filing a bug with Netapp. Hopefully more recent ontap versions have fixed this.

I'm going to go ahead and close this as NOTABUG. Please reopen if you have questions...
Comment 4 Kevin Wright 2009-02-13 14:16:46 EST
Reported to me by krishnoid@wapacut.com

If you unmount the share twice in the background:
$ sudo umount /mnt/share &
$ sudo umount /mnt/share &

this will unmount the share immediately.

Note You need to log in before you can comment on or make changes to this bug.